Package com.sun.mail.util

## Class PropUtil

- java.lang.Object
- - com.sun.mail.util.PropUtil

    public class PropUtil
    extends java.lang.Object

Utilities to make it easier to get property values. Properties can be strings or type-specific value objects.

Author:
  Bill Shannon

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static boolean` `getBooleanProperty​(java.util.Properties props, java.lang.String name, boolean def)` Get a boolean valued property.
`static boolean` `getBooleanSessionProperty​(Session session, java.lang.String name, boolean def)` Deprecated.
`static boolean` `getBooleanSystemProperty​(java.lang.String name, boolean def)` Get a boolean valued System property.
`static int` `getIntProperty​(java.util.Properties props, java.lang.String name, int def)` Get an integer valued property.
`static int` `getIntSessionProperty​(Session session, java.lang.String name, int def)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getIntProperty

    public static int getIntProperty​(java.util.Properties props,
                                     java.lang.String name,
                                     int def)

Get an integer valued property.

Parameters:
  `props` - the properties
  `name` - the property name
  `def` - default value if property not found
Returns:
  the property value

#### getBooleanProperty

    public static boolean getBooleanProperty​(java.util.Properties props,
                                             java.lang.String name,
                                             boolean def)

Get a boolean valued property.

Parameters:
  `props` - the properties
  `name` - the property name
  `def` - default value if property not found
Returns:
  the property value

#### getIntSessionProperty

    @Deprecated
    public static int getIntSessionProperty​(Session session,
                                            java.lang.String name,
                                            int def)

Deprecated.
Get an integer valued property.

Parameters:
  `session` - the Session
  `name` - the property name
  `def` - default value if property not found
Returns:
  the property value

#### getBooleanSessionProperty

    @Deprecated
    public static boolean getBooleanSessionProperty​(Session session,
                                                    java.lang.String name,
                                                    boolean def)

Deprecated.
Get a boolean valued property.

Parameters:
  `session` - the Session
  `name` - the property name
  `def` - default value if property not found
Returns:
  the property value

#### getBooleanSystemProperty

    public static boolean getBooleanSystemProperty​(java.lang.String name,
                                                   boolean def)

Get a boolean valued System property.

Parameters:
  `name` - the property name
  `def` - default value if property not found
Returns:
  the property value